package com.example.demo;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;
import jakarta.validation.constraints.*;

// using ConfigurationProperties over Value is recommended by https://stackoverflow.com/a/35571932/147530 
// also see: https://mkyong.com/spring-boot/spring-boot-configurationproperties-example/
// and: https://github.com/callicoder/spring-boot-configuration-properties-demo
// https://docs.spring.io/spring-boot/docs/current/reference/html/features.html#features.external-config

public abstract class BaseConfig {
    @NotNull String username;
    @NotNull String password;
    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }    
}
