package com.example.demo;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;
import jakarta.validation.constraints.*;

// using ConfigurationProperties over Value is recommended by https://stackoverflow.com/a/35571932/147530 
// also see: https://mkyong.com/spring-boot/spring-boot-configurationproperties-example/
// and: https://github.com/callicoder/spring-boot-configuration-properties-demo
// https://docs.spring.io/spring-boot/docs/current/reference/html/features.html#features.external-config

@Component
@Service
@ConfigurationProperties
@Validated
@Profile("profile2")
public class Config2 extends BaseConfig {
    @Min(0) @Max(100) int age;
    @Min(0) @Max(100) float speed;
    @NotNull String address;
    String[] friends;
    int[] years;
    
    public String[] getFriends() {
        return friends;
    }
    public void setFriends(String[] friends) {
        this.friends = friends;
    }
    public int[] getYears() {
        return years;
    }
    public void setYears(int[] years) {
        this.years = years;
    }
    public int getAge() {
        return age;
    }
    public void setAge(int age) {
        this.age = age;
    }
    public float getSpeed() {
        return speed;
    }
    public void setSpeed(float speed) {
        this.speed = speed;
    }
    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }
    
}
