package com.example.demo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Profile;
import org.springframework.boot.CommandLineRunner;

import org.springframework.beans.factory.annotation.Autowired;

// https://stackoverflow.com/a/47265054/147530
@SpringBootApplication
@Profile("profile2")
public class DemoApplication2 implements CommandLineRunner {
	Config2 config;

	public DemoApplication2(Config2 config) {
		this.config = config;
	}

	public static void main(String[] args) {
		SpringApplication.run(DemoApplication2.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
        System.out.printf("username = %s\n", config.username);
		System.out.printf("password = %s\n", config.password);
		System.out.printf("Address = %s\n", config.address);
		System.out.printf("Speed = %f\n", config.speed);
		System.out.printf("Age = %d\n", config.age);
        System.out.printf("years = %s\n", printArray(config.years));
        System.out.printf("friends = %s\n", printArray(config.friends));
		//BufferedReader reader = new BufferedReader(new FileReader(config.inputFile));
	}

    private static String printArray(String[] array) {
        StringBuilder sb = new StringBuilder();
        for (var e: array) {
            sb.append(String.format("%s, ", e));            
        }
        return sb.toString();
    }

    private static String printArray(int[] array) {
        StringBuilder sb = new StringBuilder();
        for (var e: array) {
            sb.append(String.format("%d, ", e));            
        }
        return sb.toString();
    }
}
